package ru.yandex.autotests.direct.web.data.mediaplan;

/**
 * Created with IntelliJ IDEA.
 * User: alexey-n
 * Date: 30.09.13
 * Time: 18:10
 * To change this template use File | Settings | File Templates.
 */
public class AcceptMediaplanParameters {

    private AcceptMediaplanTypeEnum acceptMediaplanType;
    private Boolean startViewing;
    private Float commonPrice;
    private Integer priceIncrement;
    private Integer rating;
    private Long newCampaignId;
    private String newClient;
    private Boolean replaceOldBanner;

    public AcceptMediaplanTypeEnum getAcceptMediaplanType() {
        return acceptMediaplanType;
    }

    public void setAcceptMediaplanType(AcceptMediaplanTypeEnum acceptMediaplanType) {
        this.acceptMediaplanType = acceptMediaplanType;
    }

    public Boolean isStartViewing() {
        return startViewing;
    }

    public void setStartViewing(Boolean startViewing) {
        this.startViewing = startViewing;
    }

    public Float getCommonPrice() {
        return commonPrice;
    }

    public void setCommonPrice(Float commonPrice) {
        this.commonPrice = commonPrice;
    }

    public Integer getPriceIncrement() {
        return priceIncrement;
    }

    public void setPriceIncrement(Integer priceIncrement) {
        this.priceIncrement = priceIncrement;
    }

    public Integer getRating() {
        return rating;
    }

    public void setRating(Integer rating) {
        this.rating = rating;
    }

    public Long getNewCampaignId() {
        return newCampaignId;
    }

    public void setNewCampaignId(Long newCampaignId) {
        this.newCampaignId = newCampaignId;
    }

    public String getNewClient() {
        return newClient;
    }

    public void setNewClient(String newClient) {
        this.newClient = newClient;
    }

    public Boolean getReplaceOldBanner() {
        return replaceOldBanner;
    }

    public void setReplaceOldBanner(Boolean replaceOldBanner) {
        this.replaceOldBanner = replaceOldBanner;
    }
}
